%define anolis_release 2
%global tarball xf86-video-fbdev
%global moduledir %(pkg-config xorg-server --variable=moduledir )
%global driverdir	%{moduledir}/drivers

%undefine _hardened_build

Summary:   Xorg X11 fbdev video driver
Name:      xorg-x11-drv-fbdev
Version:   0.5.0
Release:   %{anolis_release}%{?dist}
URL:       http://www.x.org
License:   MIT

Source0:   https://www.x.org/pub/individual/driver/%{tarball}-%{version}.tar.bz2

Patch0:    0001-mustard-Enable-linking-with-z-now.patch
Patch1:    BGNoneRoot.patch

BuildRequires: make
BuildRequires: xorg-x11-server-devel >= 1.10.99.902
BuildRequires: autoconf automake libtool

Requires: Xorg %(xserver-sdk-abi-requires ansic)
Requires: Xorg %(xserver-sdk-abi-requires videodrv)

%description 
X.Org X11 fbdev video driver.

%prep
%autosetup -n %{tarball}-%{version} -p1

%build
autoreconf -vif
%configure --disable-static
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%files
%{driverdir}/fbdev_drv.so
%{_mandir}/man4/fbdev.4*

%changelog
* Wed Jul 13 2022 happy_orange <songnannan@linux.alibaba.com> - 0.5.0-2
- bugfix the dbdev.so modules loading error in iso

* Wed Apr 20 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.5.0-1
- Init from upstream version 0.5.0
